import * as z from 'zod';
export const PatientCreateResultSchema = z.object({
  id: z.number().int(),
  firstName: z.string(),
  lastName: z.string(),
  dateOfBirth: z.date().optional(),
  gender: z.string(),
  phone: z.string(),
  email: z.string().optional(),
  address: z.string().optional(),
  city: z.string().optional(),
  zipCode: z.string().optional(),
  insuranceProvider: z.string().optional(),
  insuranceId: z.string().optional(),
  groupNumber: z.string().optional(),
  policyHolder: z.string().optional(),
  allergies: z.string().optional(),
  medicalConditions: z.string().optional(),
  preferredLanguage: z.string().optional(),
  status: z.unknown(),
  userId: z.number().int(),
  createdAt: z.date(),
  updatedAt: z.date(),
  user: z.unknown(),
  appointments: z.array(z.unknown()),
  procedures: z.array(z.unknown()),
  claims: z.array(z.unknown()),
  groups: z.array(z.unknown()),
  payment: z.array(z.unknown()),
  communications: z.array(z.unknown()),
  documents: z.array(z.unknown()),
  conversation: z.unknown().optional(),
  cloudFolders: z.array(z.unknown())
});